=====================================================================================================

<레이어 만들기>

(defun c:cvv(/ a l)     ;change layer lsp 
       (graphscr)
       (prompt "select to change")(terpri)
       (setq a (ssget))
       (setq num (sslength a))
       (setq index 0)
       ;(setq l "nt")                               ;layer 설정
       (setq l (getstring "write layer number :"))
       (if (= nil (tblsearch "layer" l))
           (command "layer" "n" l "")
       )
       (repeat num
       (setq entname (ssname a index))
       (setq entdata (entget entname))
       (setq lay (cdr (assoc 8 entdata)))
       (setq index (+ index 1))
       (command "change" entname "" "p" "la" l "c" "bylayer" "lt" "bylayer" "")
       (prompt "\n old layer: ")(princ lay)(prompt "-->   new layer: ")(princ l)
       )
       (princ)
       (setq a nil)
);end

=====================================================================================================

<색깔만 바꾸기>

(defun c:slcc()
  (grtext -1 "color chanage by RGD")
  (prompt "change color with entity layer")

  (prompt "\n select entity color")

  (setq asel (entsel))
  (setq acol (getint "\n Red(1)/Yellow(2)/Green(3)/Cyan(4)/Blue(5)/Magenta(6)/White(7) : "))
  (setq acol (itoa acol))
  (setq alist (entget (car asel)))
  (setq a8 (assoc 8 alist))
  (setq a8v (cdr a8))
  (setq asel2 (ssget "x" (list (cons 8 a8v))))
  (command "change" asel2 "" "p" "c" acol "")
 )

=====================================================================================================
<레이어 원래색 바꾸기>

(defun c:slc()
  (setq sel (ssget))
  (setq num (sslength sel))
  (setq count 0)
  (setq col (getstring "\n색상 값을 입력하세요? : "))
  
  (repeat num
    (setq sname (ssname sel count))
    (setq slist (entget sname))
    (setq slay (cdr (assoc 8 slist)))
    (command "layer" "c" col slay "")
    (setq count (1+ count))
  )
)

=====================================================================================================

<원래 레이어 색으로 바꿔주기>

(defun c:by()
   (setq sel (ssget))
   (setq num (sslength sel))
   (setq count 0)
   (command "change" sel "" "p" "c" "bylayer" "lt" "bylayer" "")
)

a
=====================================================================================================

<색깔바꾸기>

(defun c:66()
   (setq sel (ssget))
   (setq num (sslength sel))
   (setq count 0)
   (command "change" sel "" "p" "c" "6"  "")
)

(defun c:55()
   (setq sel (ssget))
   (setq num (sslength sel))
   (setq count 0)
   (command "change" sel "" "p" "c" "5"  "")
)

(defun c:44()
   (setq sel (ssget))
   (setq num (sslength sel))
   (setq count 0)
   (command "change" sel "" "p" "c" "4"  "")
)

(defun c:33() ;선택한 객체를 연두색으로 바꾸기
  (setq ent (ssget))
  (command "change" ent "" "p" "c" "3" "")
  (prompt "\n 선택한 객체를 연두색으로 바꿧당. ")
  (princ)
  )

(defun c:22() ;선택한 객체를 2으로 바꾸기
  (setq ent (ssget))
  (command "change" ent "" "p" "c" "2" "")
  (prompt "\n 선택한 객체를 2으로 바꿧당. ")
  (princ)
  )

(defun c:11() ;선택한 객체를 1으로 바꾸기
  (setq ent (ssget))
  (command "change" ent "" "p" "c" "1" "")
  (prompt "\n 선택한 객체를 1으로 바꿧당. ")
  (princ)
  )

=====================================================================================================

<레이어 전부를 잠금 해지하는 방법 -la -> u -> *>
<선택한 레이어 잠금>

(defun c:ll ()
       (graphscr)    
       (command "laylck"))

<선택한 레이어 자금해지>

(defun c:lk ()
       (graphscr)    
       (command "layulk"))

=====================================================================================================

<선두께 조정하기>

(defun c:w2(/ a1)
    (prompt "\nSelect entities to change width.")
    (setq a1 (ssget))
    (setq num (sslength a1))
    (setq index 0)
    (setq w1 (getreal "\nEnter width size?"))
    (repeat num
       (setq sname (ssname a1 index))
       (setq a2 (entget sname))
       (setq index (1+ index))
       (setq e0 (assoc 0 a2))
       (setq etype (cdr e0))
           (if (or (= "LWPOLYLINE" etype) (= "POLYLINE" etype))
               (progn
                   (command "pedit" sname "w" w1 "")
               )
               (if (or (= "LINE" etype)(= "ARC" etype)(= "CIRCLE" etype))
                   (progn
                       (command "pedit" sname "" "w" w1 "")
                   )
               );if
          );if
    );repeat
    (princ)
)

=====================================================================================================

(defun c:slp( / objs o pixel lst i j )

    ;;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-;;
    ;;             Sub Function - 01            ;;
    ;;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-;;
	(defun PTE:ss->obj ( ss / i re )
		(if ss
			(repeat (setq i (sslength ss))
				(setq re 
					(cons 
						(vlax-ename->vla-object 
							(ssname ss (setq i (1- i)))
						) re
					)
				)
			)
		)
	)

    ;;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-;;
    ;;             Sub Function - 02            ;;
    ;;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-;;
	(defun PTE:LWPoly (lst cls)
		(vlax-ename->vla-object
			(entmakex 
				(append 
					(list 
						(cons 0 "LWPOLYLINE")
						(cons 100 "AcDbEntity")
						(cons 100 "AcDbPolyline")
						(cons 90 (length lst))
						(cons 70 cls)
					)
					(mapcar
						(function
							(lambda (p)
								(cons 10 (trans p 1 0))
							)
						)
						lst
					)
				)
			)
		)
	)
	
    ;;==========================================;;
    ;;               Main Function              ;;
    ;;==========================================;;
	(setq objs (PTE:ss->obj(ssget '((0 . "SPLINE,CIRCLE,LWPOLYLINE,ARC,ELLIPSE"))))
		  pixel(getint "\n Pixel <30>: ")
		  lst  nil
	)
	(or pixel (setq pixel 30))
	(foreach obj objs
		(setq i   (/ (vlax-curve-getDistatParam obj (vlax-curve-getEndParam obj)) (float pixel))
			  lst nil
			  j   0
		)
		(repeat pixel
			(setq lst
				(append lst
					(list 
						(vlax-curve-getPointatDist obj (* j i))
						(vlax-curve-getPointatDist obj (* (setq j (1+ j)) i))
					) 
				)
			)
		)
		(setq o(PTE:LWPoly lst 0)) 
		(vla-put-layer    o (vla-get-layer    obj))
		(vla-put-color    o (vla-get-color    obj))
		(vla-put-linetype o (vla-get-linetype obj))
		(vla-delete obj)
	)(princ)
)(vl-load-com)


=====================================